Package org.stianloader.picoresolve.version

# Class MavenVersion

java.lang.Object
org.stianloader.picoresolve.version.MavenVersion

All Implemented Interfaces:
  `Comparable<MavenVersion>`

public class MavenVersion extends Object implements Comparable<MavenVersion>
Object that represents a version that maven can understand and compare. Based on https://maven.apache.org/pom.html#version-order-specification

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(MavenVersion o)`
`boolean`
`equals(Object obj)`
`@NotNull String`
`getOriginText()`
`int`
`hashCode()`
`boolean`
`isNewerThan(@NotNull MavenVersion older)`
`static @NotNull MavenVersion`
`parse(@NotNull String string)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### parse

@NotNull public static @NotNull MavenVersion parse(@NotNull @NotNull String string)

### compareTo

public int compareTo(MavenVersion o)

Specified by:
  `compareTo` in interface `Comparable<MavenVersion>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isNewerThan

public boolean isNewerThan(@NotNull @NotNull MavenVersion older)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getOriginText

@NotNull public @NotNull String getOriginText()